<script setup lang="ts">
import FormStepperStep from '@/components/FormStepperStep.vue'
import { useRouter } from 'vue-router'
import { useMyDataStore } from '@/stores/my-data'

const router = useRouter()
const myData = useMyDataStore()

const props = defineProps({
  currentStep: Number
})
</script>

<template>
  <div class="flex flex-col space-y-2 xs:space-y-0 xs:flex-row justify-evenly lg:justify-between">
    <ol class="items-center space-y-4 sm:flex sm:space-x-3 sm:space-y-0 rtl:space-x-reverse">
      <FormStepperStep
        :number="1"
        :title="$t('formStepper.step1')"
        :info="$t('formStepper.step1Desc')"
        :active="props.currentStep === 1"
        @click="() => router.push('/form/identity')"
      />
      <FormStepperStep
        :number="2"
        :title="$t('formStepper.step2')"
        :info="$t('formStepper.step2Desc')"
        :active="props.currentStep === 2"
        @click="() => router.push('/form/profile-picture')"
      />
      <FormStepperStep
        :number="3"
        :title="$t('formStepper.step3')"
        :info="$t('formStepper.step3Desc')"
        :active="props.currentStep === 3"
        @click="() => router.push('/form/extra')"
      />
    </ol>

    <div class="flex items-center gap-4 rounded p-2 border border-slate-200 dark:border-slate-600">
      <img class="w-10 h-10 rounded-full" src="@/assets/profile.png" alt="" />
      <div v-if="myData.isLoaded" class="font-medium dark:text-white">
        <div class="text-sm">{{ myData.user?.official_firstname }} {{ myData.user?.official_lastname }}</div>
        <div class="text-sm text-gray-500 dark:text-gray-400">{{ myData.user?.sciper }}</div>
      </div>
    </div>
  </div>
</template>
